Subject: FVWM: Auto exit of fvwm

From: "David J. Pfaltzgraff" <[email-masked]>
Date: Fri, 22 Jan 1999 23:19:42 -0500 (EST)

I have a requirement to automatically exit fvwm when an application is
closed and have been unable to determine how this could be accomplished.  If
someone coould provide me with some pointers it would be greatly appreciated.

The situation is that I use xdm to provide the login and then, through the
m4 series of scripts provided with the Red Hat distribution and heavily
modified, kick off the execution of an expect script which provides a GUI
front end to a process control.  The reason for the heavy modifications is
that the user is limited to this application and cannot get into anything
else.  With all this, everything works fine except that when the expect
script is done, the user is required to specifically select 'Start' and
'Exit FVWM'.

Again, thanks for any pointers...

Dave

--
Visit the official FVWM web page at <URL: http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Kent Howard <[email-masked]>
Date: Fri, 22 Jan 1999 21:03:27 -0800

On Fri, Jan 22, 1999 at 11:19:42PM -0500, David J. Pfaltzgraff wrote:
+----------
| I have a requirement to automatically exit fvwm when an
| application is closed and have been unable to determine how this
| could be accomplished.  If someone coould provide me with some
| pointers it would be greatly appreciated.
| 
| The situation is that I use xdm to provide the login and then,
| through the m4 series of scripts provided with the Red Hat
| distribution and heavily modified, kick off the execution of an
| expect script which provides a GUI front end to a process
| control.  The reason for the heavy modifications is that the user
| is limited to this application and cannot get into anything else.
| With all this, everything works fine except that when the expect
| script is done, the user is required to specifically select
| 'Start' and 'Exit FVWM'.
| 
| Again, thanks for any pointers...
+----------

Why not make the .xsession like this

fvwm2 &
yourapp

Thus you application would control the session; when it was done
the session would end and a new xdm login would start.

- Kent

---

From: Pete Forman <[email-masked]>
Date: Mon, 25 Jan 1999 08:53:26 GMT

> Why not make the .xsession like this

That wouldn't work on my NCD XServer as it posts a dialog asking
whether to kill lingering clients.  A more resilient approach for
handling background tasks in an X session is

    bpid=

    fvwm2 &
    bpid="$! $bpid"

    xclock &
    bpid="$! $bpid"

    yourapp

    for p in $bpid
    do
        kill $p
    done

The last loop may work as "kill $bpid" but some versions of kill are
limited in the number of process ids they accept.
-- 
Pete Forman
Western Geophysical
[email-masked]
--
Visit the official FVWM web page at <URL: http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].